SolidWorks專門論壇 SolidWorks forum

 找回密碼
 註冊
查看: 769|回復: 0

請問批次執行中繼檔段開連結

[複製鏈接]
發表於 2023/1/11 11:46:00 | 顯示全部樓層 |閱讀模式
各位大大好請問有沒有方法一次性執行資料夾中的中繼檔執行使用3D Interconnect的段開連結的,目前用的檔案格式是.ipt,SOLIDWORKS 是2022
但有找到強制斷開單個零件的方法,但批次的方法還未有頭緒。
#If VBA7 Then     Private Declare PtrSafe Function SendMessage Lib "User32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long#Else     Private Declare Function SendMessage Lib "User32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long#End IfSub main()    Dim swApp As SldWorks.SldWorks    Dim swFrame As SldWorks.Frame    Set swApp = Application.SldWorks    Set swFrame = swApp.Frame    'SendMessage swFrame.GetHWnd(), &H111, 30478, 0    'SendMessage swFrame.GetHWnd(), &H111, 53116, 0    SendMessage swFrame.GetHWnd(), &H111, 53118, 0End Sub


您需要登錄後才可以回帖 登錄 | 註冊

本版積分規則

手機版上論壇|論壇來自幾何科技 論壇架構版次 20231119

GMT+8, 2024/3/4 09:59 , Processed in 0.215983 second(s), 15 queries .

Powered by Discuz! X3.4 Licensed

© 2001-2023 Discuz! Team.

快速回復 返回頂部 返回列表